ru.bitel.bgbilling.kernel.tariff.option.server.event

## Class TariffOptionListAvailableEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionListAvailableEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TariffOptionListAvailableEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffOptionListAvailableEvent(int contractId, int userId, java.util.Date date, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<ContractTariffOption> currentContractOptionList, boolean onlyAvailable, java.util.List<TariffOption> tariffOptionList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `getContract()`
    `java.util.List<ContractTariffOption>` | `getCurrentContractOptionList()`
    `java.util.Date` | `getDate()`
    `java.util.Set<java.lang.Integer>` | `getTariffIds()`
    `java.util.List<TariffOption>` | `getTariffOptionList()`
    `boolean` | `isOnlyAvailable()`
    `void` | `setTariffOptionList(java.util.List<TariffOption> tariffOptionList)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffOptionListAvailableEvent

          public TariffOptionListAvailableEvent(int contractId,
                                                int userId,
                                                java.util.Date date,
                                                Contract contract,
                                                java.util.Set<java.lang.Integer> tariffIds,
                                                java.util.List<ContractTariffOption> currentContractOptionList,
                                                boolean onlyAvailable,
                                                java.util.List<TariffOption> tariffOptionList)

  - ### Method Detail

    - #### getDate

          public java.util.Date getDate()

    - #### getContract

          public Contract getContract()

    - #### getTariffIds

          public java.util.Set<java.lang.Integer> getTariffIds()

    - #### getCurrentContractOptionList

          public java.util.List<ContractTariffOption> getCurrentContractOptionList()

    - #### isOnlyAvailable

          public boolean isOnlyAvailable()

    - #### getTariffOptionList

          public java.util.List<TariffOption> getTariffOptionList()

    - #### setTariffOptionList

          public void setTariffOptionList(java.util.List<TariffOption> tariffOptionList)